> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# weekday

> MDO provider for the hard-coded list of week days.

## "weekday" MDO List

MDO provider for the hard-coded list of week days.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WeekdayProvider">WeekdayProvider</see> class.
The name of the MDO list is 'weekday'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/weekday
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("weekday", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 1  | Monday    |           | Monday    |
| 2  | Tuesday   |           | Tuesday   |
| 3  | Wednesday |           | Wednesday |
| 4  | Thursday  |           | Thursday  |
| 5  | Friday    |           | Friday    |
| 6  | Saturday  |           | Saturday  |
| 7  | Sunday    |           | Sunday    |

## Related MDO Lists

* "weekdayheadings"
* "weekdayheadingswithallitem"
* "weekdayheadingswithallitemwithnoselection"
* "weekdayheadingswithnoselection"
* "weekdaywithallitem"
* "weekdaywithallitemwithnoselection"
* "weekdaywithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.RecurrenceMonthPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceMonthPattern.md)
- [SuperOffice.WebApi.Data.RecurrenceYearPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceYearPattern.md)
- [SuperOffice.WebApi.Data.RecurrenceWeekPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceWeekPattern.md)
- [Working with follow-ups (appointments) in API](/en/diary/dev/index.md)
- [Enum Weekday](/en/automation/crmscript/reference/CRMScript.NetServer.Weekday.md)
- [Enum values for Weekday](/en/database/tables/enums/weekday.md)
